package com.ruoyi.interfaces.domain;

import java.io.Serializable;

public class PtServiceWithBLOBs extends PtService implements Serializable {
    private String rpcontent;

    private String note;

    private String example;

    private static final long serialVersionUID = 1L;

    @Override
    public String getRpcontent() {
        return rpcontent;
    }

    @Override
    public void setRpcontent(String rpcontent) {
        this.rpcontent = rpcontent == null ? null : rpcontent.trim();
    }

    @Override
    public String getNote() {
        return note;
    }

    @Override
    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    @Override
    public String getExample() {
        return example;
    }

    @Override
    public void setExample(String example) {
        this.example = example == null ? null : example.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", rpcontent=").append(rpcontent);
        sb.append(", note=").append(note);
        sb.append(", example=").append(example);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
